Track Community Wishlist Tasks @ Wikimania Hackathon
Closed, ResolvedPublic

Description

This is a task to make sure we track which community wishlist projects are being working on at the hackathon in Esino Lario.
Which tasks were finished? Which made significant progress? Which might slight progress? Which are stalled? Which have made no progress? Any idea why?

Also maybe track information about other non-community wishlist projects as well in the same way.


Significant progress:

Slight progress:

Plus:


Hypotheses on why some recommended tasks made no progress:

  • Limited number of lead-developers available to both shepherd each idea, and provide guidance on specific issues encountered during work.
  • Insufficient details available on the tasks, for newcomers (to the project, not necessarily to MediaWiki) to get started by themselves.
  • Tasks too large, and still need to be broken down into smaller subtasks.

See Also:

Restricted Application added a subscriber: Zppix. · View Herald TranscriptJun 10 2016, 11:09 PM
Aklapper updated the task description. (Show Details)Jun 13 2016, 5:15 PM
Quiddity updated the task description. (Show Details)Jul 7 2016, 8:22 PM

I've added a listing to the description, of the major work on wishlist items, plus notes on some of the other work that was done, and hypotheses as to why some of the recommended tasks weren't (visibly) touched.
I think this task is complete, unless you have suggestions on what else could/should be added?

Qgil awarded a token.Jul 7 2016, 9:15 PM
Qgil moved this task from Ready to Go to July on the Developer-Advocacy (Jul-Sep-2016) board.

Thank you very much Nick, this is perfect!

Quiddity closed this task as Resolved.Jul 12 2016, 10:51 PM